Subject: Re: Bug#644281: linux-image-3.0.0-1-amd64: problem after changing mtu size on jme kernel module

From: "Guo-Fu Tseng" <[email-masked]>
Date: Fri, 7 Oct 2011 14:24:26 +0800

On Fri, 07 Oct 2011 05:17:52 +0100, Ben Hutchings wrote
> On Tue, 2011-10-04 at 20:13 +0200, kantacki wrote:
> > Package: linux-2.6
> > Version: 3.0.0-3
> > Severity: important
> > Tags: upstream
> > 
> > Hello,
> > 
> > When I try to execute:
> > ifconfig eth0 mtu 4000 up
> > or
> > ifconfig eth0 mtu 7198 up
> > my nic stops working and changing back to mtu 1500 does not help.
> > To use my nic again I have to execute:
> > rmmod jme
> > modprome jme
> > and the the command ifconfig eth0 mtu 1500 $IP up works and enables the network
> > 
> > My network card is Jmicron
> [...]
> 
> Can you look into this, please?
> 
> It appears that jme_change_mtu() doesn't stop the RX path and doesn't
> immediately reallocate RX buffers, and I think it should.  Maybe that's
> not the problem though.
> 
> Ben.
> 
> -- 
> Ben Hutchings
> For every action, there is an equal and opposite criticism. - Harrison

I'll find some time to look into it this weekend.
Thanks for the report. :)

Guo-Fu Tseng